esp32_BNO08x 1.4 C++ BNO08x IMU driver component for esp-idf.

Public Member Functions | Public Attributes | List of all members
BNO08xPrivateTypes::bno08x_init_status_t Struct Reference

Holds info about which functionality has been successfully initialized (used by deconstructor during cleanup). More...

`#include <BNO08xPrivateTypes.hpp>`

## Public Member Functions
| bno08x_init_status_t ()

## Public Attributes
bool | gpio_outputs
| True if GPIO outputs have been initialized. More...
bool | gpio_inputs
| True if GPIO inputs have been initialized. More...
bool | isr_service
| True if global ISR service has been initialized. More...
bool | isr_handler
| True if HINT ISR handler has been initialized. More...
bool | spi_bus
| True if spi_bus_initialize() has been called successfully. More...
bool | spi_device
| True if spi_bus_add_device() has been called successfully. More...
bool | data_proc_task
| True if xTaskCreate has been called successfully for data_proc_task. More...
bool | sh2_HAL_service_task
| True if xTaskCreate has been called successfully for sh2_HAL_service_task. More...
bool | cb_task
| True if xTaskCreate has been called successfully for cb_task. More...
bool | sh2_HAL
| True if sh2_open() has been called successfully. More...

## Detailed Description

Holds info about which functionality has been successfully initialized (used by deconstructor during cleanup).

## Constructor & Destructor Documentation

## ◆ bno08x_init_status_t()

BNO08xPrivateTypes::bno08x_init_status_t::bno08x_init_status_t | ( |  | ) |
| inline

## Member Data Documentation

## ◆ cb_task

bool BNO08xPrivateTypes::bno08x_init_status_t::cb_task

True if xTaskCreate has been called successfully for cb_task.

## ◆ data_proc_task

bool BNO08xPrivateTypes::bno08x_init_status_t::data_proc_task

True if xTaskCreate has been called successfully for data_proc_task.

## ◆ gpio_inputs

bool BNO08xPrivateTypes::bno08x_init_status_t::gpio_inputs

True if GPIO inputs have been initialized.

## ◆ gpio_outputs

bool BNO08xPrivateTypes::bno08x_init_status_t::gpio_outputs

True if GPIO outputs have been initialized.

## ◆ isr_handler

bool BNO08xPrivateTypes::bno08x_init_status_t::isr_handler

True if HINT ISR handler has been initialized.

## ◆ isr_service

bool BNO08xPrivateTypes::bno08x_init_status_t::isr_service

True if global ISR service has been initialized.

## ◆ sh2_HAL

bool BNO08xPrivateTypes::bno08x_init_status_t::sh2_HAL

True if sh2_open() has been called successfully.

## ◆ sh2_HAL_service_task

bool BNO08xPrivateTypes::bno08x_init_status_t::sh2_HAL_service_task

True if xTaskCreate has been called successfully for sh2_HAL_service_task.

## ◆ spi_bus

bool BNO08xPrivateTypes::bno08x_init_status_t::spi_bus

True if spi_bus_initialize() has been called successfully.

## ◆ spi_device

bool BNO08xPrivateTypes::bno08x_init_status_t::spi_device

True if spi_bus_add_device() has been called successfully.

The documentation for this struct was generated from the following file:

- /media/develop/git/imu_pr_cleanup/components/esp32_BNO08x/include/BNO08xPrivateTypes.hpp